Bug 835652 - [abrt] httpd-tools-2.2.22-4.fc17: _int_free: Process /usr/bin/ab was killed by signal 11 (SIGSEGV)
[abrt] httpd-tools-2.2.22-4.fc17: _int_free: Process /usr/bin/ab was killed b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
abrt_hash:fe0b363aceb2e819d5c2119ac1c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 13:51 EDT by David Filiatrault
Modified: 2013-08-01 13:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:15:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.33 KB, text/plain)
2012-06-26 13:51 EDT, David Filiatrault
no flags Details
File: maps (6.83 KB, text/plain)
2012-06-26 13:52 EDT, David Filiatrault
no flags Details
File: var_log_messages (10.23 KB, text/plain)
2012-06-26 13:52 EDT, David Filiatrault
no flags Details

  None (edit)
Description David Filiatrault 2012-06-26 13:51:55 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        ab -v 2 https://collectpay-qa2.princetonecom.com/clientconsole/javascript/jquery.js
crash_function: _int_free
executable:     /usr/bin/ab
kernel:         3.4.3-1.fc17.i686
pid:            1324
pwd:            /home/dfiliatrault
time:           Tue 26 Jun 2012 01:45:09 PM EDT
uid:            1000
username:       dfiliatrault

backtrace:      Text file, 36181 bytes
maps:           Text file, 6989 bytes
var_log_messages: Text file, 10473 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/dfiliatrault/2

comment:
:Previous submission was with a fresh Fedora 17 install + httpd-tools install.
:
:This submission is after doing a yum update, reboot, then running the same command:
:ab -v 2 https://collectpay-qa2.princetonecom.com/clientconsole/javascript/jquery.js

core_backtrace:
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x73eb0 _int_free libc.so.6 -
:4a67be981032dc57d5ce97b19af4581afaa7748b 0x396fb CRYPTO_free libcrypto.so.10 -
:4a67be981032dc57d5ce97b19af4581afaa7748b 0xcd440 ASN1_STRING_free libcrypto.so.10 -
:4a67be981032dc57d5ce97b19af4581afaa7748b 0xbf6c6 ASN1_primitive_free libcrypto.so.10 -
:4a67be981032dc57d5ce97b19af4581afaa7748b 0xbf7ec - libcrypto.so.10 -
:4a67be981032dc57d5ce97b19af4581afaa7748b 0xbfa5c ASN1_template_free libcrypto.so.10 -
:4a67be981032dc57d5ce97b19af4581afaa7748b 0xbf958 - libcrypto.so.10 -
:4a67be981032dc57d5ce97b19af4581afaa7748b 0xbfaa8 ASN1_item_free libcrypto.so.10 -
:4a67be981032dc57d5ce97b19af4581afaa7748b 0xba656 X509_free libcrypto.so.10 -
:4a67be981032dc57d5ce97b19af4581afaa7748b 0x9a8af sk_pop_free libcrypto.so.10 -
:cf7d47a8e476e39b1202cab69f3d9024573ed063 0x36dd0 ssl_sess_cert_free libssl.so.10 -
:cf7d47a8e476e39b1202cab69f3d9024573ed063 0x37ba5 SSL_SESSION_free libssl.so.10 -
:cf7d47a8e476e39b1202cab69f3d9024573ed063 0x35960 SSL_free libssl.so.10 -
:d219a8c3f19307b1a2d9af3580af968957eaa345 0x86c5 - [pie] -
:d219a8c3f19307b1a2d9af3580af968957eaa345 0x3f4b main [pie] -

dso_list:
:/usr/lib/libapr-1.so.0.4.6 apr-1.4.6-1.fc17.i686 (Fedora Project) 1340731276
:/usr/lib/libselinux.so.1 libselinux-2.1.10-3.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libpthread-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719195
:/usr/lib/libpcre.so.0.0.1 pcre-8.21-5.fc17.i686 (Fedora Project) 1340732040
:/usr/lib/libnss_mdns4_minimal.so.2 nss-mdns-0.10-10.fc17.i686 (Fedora Project) 1337719406
:/usr/lib/libdb-4.8.so db4-4.8.30-10.fc17.i686 (Fedora Project) 1337719202
:/usr/lib/libgssapi_krb5.so.2.2 krb5-libs-1.10.2-2.fc17.i686 (Fedora Project) 1340731863
:/usr/lib/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.i686 (Fedora Project) 1337719189
:/usr/lib/libkrb5.so.3.3 krb5-libs-1.10.2-2.fc17.i686 (Fedora Project) 1340731863
:/usr/lib/libnss_files-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719195
:/usr/lib/libkeyutils.so.1.4 keyutils-libs-1.5.5-2.fc17.i686 (Fedora Project) 1337719202
:/usr/lib/libm-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719195
:/usr/lib/libcrypto.so.1.0.0j openssl-1:1.0.0j-1.fc17.i686 (Fedora Project) 1340731864
:/usr/lib/libfreebl3.so nss-softokn-freebl-3.13.4-2.fc17.i686 (Fedora Project) 1337719189
:/usr/lib/libcrypt-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719195
:/usr/lib/libkrb5support.so.0.1 krb5-libs-1.10.2-2.fc17.i686 (Fedora Project) 1340731863
:/usr/lib/libk5crypto.so.3.1 krb5-libs-1.10.2-2.fc17.i686 (Fedora Project) 1340731863
:/usr/lib/libcom_err.so.2.1 libcom_err-1.42.3-2.fc17.i686 (Fedora Project) 1340731861
:/usr/lib/ld-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719195
:/usr/lib/libssl.so.1.0.0j openssl-1:1.0.0j-1.fc17.i686 (Fedora Project) 1340731864
:/usr/lib/libz.so.1.2.5 zlib-1.2.5-6.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libexpat.so.1.6.0 expat-2.1.0-1.fc17.i686 (Fedora Project) 1337719198
:/usr/lib/libuuid.so.1.3.0 libuuid-2.21.2-1.fc17.i686 (Fedora Project) 1340731863
:/usr/lib/libc-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719195
:/usr/lib/libaprutil-1.so.0.4.1 apr-util-1.4.1-2.fc17.i686 (Fedora Project) 1340731283
:/usr/bin/ab httpd-tools-2.2.22-4.fc17.i686 (Fedora Project) 1340731283
:/usr/lib/libresolv-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719195
:/usr/lib/libdl-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719195
:/usr/lib/libnss_dns-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719195

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=virfedora17
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/dfiliatrault/keyring-mc4NhU/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=33554437
:GNOME_KEYRING_CONTROL=/run/user/dfiliatrault/keyring-mc4NhU
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=dfiliatrault
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/run/user/dfiliatrault/keyring-mc4NhU/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/843,unix/unix:/tmp/.ICE-unix/843
:USERNAME=dfiliatrault
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/dfiliatrault/.local/bin:/home/dfiliatrault/bin
:MAIL=/var/spool/mail/dfiliatrault
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/dfiliatrault
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=841
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/dfiliatrault
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=dfiliatrault
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-yssR0rh4bU,guid=b3f3c3cc3896304b6e8bc89900000025
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/dfiliatrault
:DISPLAY=:0
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-dfiliatrault-2lxSrk/database
:_=/usr/bin/ab

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 5869                 processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       5869                 5869                 signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/0
:pos:	0
:flags:	02
:1:/dev/pts/0
:pos:	0
:flags:	02
:2:/dev/pts/0
:pos:	0
:flags:	02
:3:anon_inode:[eventpoll]
:pos:	0
:flags:	02000002
:4:socket:[18780]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: dd35b470-fb74-4528-ab81-2d28993cfb18
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 4402.35
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2720QM CPU @ 2.20GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 1
:CPU Speed: 2200
:System Memory: 750
:System Swap: 1503
:Vendor: innotek GmbH
:System: VirtualBox 1.2
:Form factor: Unknown
:Kernel: 3.4.3-1.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4203:63:0:0) pci, ohci_hcd, USB, KeyLargo/Intrepid USB
:(32902:10281:0:0) pci, ahci, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller
:(33006:48879:0:0) pci, None, VIDEO, VirtualBox Graphics Adapter
:(32902:28947:0:0) pci, None, BRIDGE, 82371AB/EB/MB PIIX4 ACPI
:(32902:4110:32902:30) pci, e1000, ETHERNET, PRO/1000 MT Desktop Adapter
:(33006:51966:0:0) pci, None, BASE, VirtualBox Guest Service
:(32902:4663:0:0) pci, None, HOST/PCI, 440FX - 82441FX PMC [Natoma]
:(32902:9237:32902:0) pci, snd_intel8x0, MULTIMEDIA_AUDIO, 82801AA AC'97 Audio Controller
:(32902:28945:0:0) pci, ata_piix, STORAGE, 82371AB/EB/MB PIIX4 IDE
:(32902:28672:0:0) pci, None, PCI/ISA, 82371SB PIIX3 ISA [Natoma/Triton II]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_virfedora17-lv_root / ext4 4096 4096 1576944 808657 792850 401408 287898 287898
:/dev/sda1 /boot ext4 1024 1024 508644 426838 401238 128016 127668 127668
:
Comment 1 David Filiatrault 2012-06-26 13:51:59 EDT
Created attachment 594550 [details]
File: backtrace
Comment 2 David Filiatrault 2012-06-26 13:52:01 EDT
Created attachment 594551 [details]
File: maps
Comment 3 David Filiatrault 2012-06-26 13:52:02 EDT
Created attachment 594552 [details]
File: var_log_messages
Comment 4 David Filiatrault 2012-06-26 13:56:52 EDT
The command used to reproduce this occurrence is the same as https://bugzilla.redhat.com/show_bug.cgi?id=835303 the only difference is, the previous was with a fresh install of fedora 17 plus yum install httpd-tools, while this one was after doing a "yum update".
Comment 5 Jan Kaluža 2012-09-27 07:33:37 EDT
This can be fixed by this upstream patch: http://svn.apache.org/viewvc?view=revision&revision=818204
Comment 6 Joe Orton 2013-05-29 05:30:17 EDT
This is fixed in Fedora 18; we could backport the patch if doing another f17 update.
Comment 7 Fedora End Of Life 2013-07-04 03:41:16 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-08-01 13:15:30 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.